Skip to main content
GET
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
security-groups
/
{securityGroupId}
Get a security group
curl --request GET \
  --url https://api.aion.xyz/api/v1/accounts/{accountId}/projects/{projectId}/security-groups/{securityGroupId} \
  --header 'Authorization: Bearer <token>'
{
  "security_group": {
    "id": "sg-abc123xyz-v1",
    "account_id": "<string>",
    "project_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "status": "active",
    "metadata": {},
    "rules": [
      {
        "id": "sgr-abc123xyz-v1",
        "security_group_id": "<string>",
        "direction": "ingress",
        "protocol": "<string>",
        "port_range_min": 123,
        "port_range_max": 123,
        "remote_ip_prefix": "<string>",
        "remote_security_group_id": "<string>",
        "icmp_type": 123,
        "icmp_code": 123,
        "priority": 123,
        "description": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "is_deleted": true
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "is_deleted": true
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token from authentication service

Headers

x-account-id
string

Account ID from authentication (must match path accountId)

Path Parameters

accountId
string
required

Account external ID

Pattern: ^acct-[a-zA-Z0-9]+-v1$
projectId
string
required

Project external ID

Pattern: ^proj-[a-zA-Z0-9]+-v1$
securityGroupId
string
required

Security group external ID

Pattern: ^sg-[a-zA-Z0-9]+-v1$

Response

Security group details

security_group
object
message
string